Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network243.64.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
243.64.76.0
Broadcast address
243.64.79.255
First usable
243.64.76.1
Last usable
243.64.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F3404C00 · Integer 4081077248 to 4081078271
Reverse DNS zones
76.64.243.in-addr.arpa
77.64.243.in-addr.arpa
78.64.243.in-addr.arpa
79.64.243.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110011.01000000.01001100.00000000243.64.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11110011.01000000.01001100.00000000243.64.76.0
Broadcast11110011.01000000.01001111.11111111243.64.79.255
Split into smaller subnets/30

243.64.76.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1243.64.76.0/30243.64.76.1 to 243.64.76.2243.64.76.32
2243.64.76.4/30243.64.76.5 to 243.64.76.6243.64.76.72
3243.64.76.8/30243.64.76.9 to 243.64.76.10243.64.76.112
4243.64.76.12/30243.64.76.13 to 243.64.76.14243.64.76.152
5243.64.76.16/30243.64.76.17 to 243.64.76.18243.64.76.192
6243.64.76.20/30243.64.76.21 to 243.64.76.22243.64.76.232
7243.64.76.24/30243.64.76.25 to 243.64.76.26243.64.76.272
8243.64.76.28/30243.64.76.29 to 243.64.76.30243.64.76.312
9243.64.76.32/30243.64.76.33 to 243.64.76.34243.64.76.352
10243.64.76.36/30243.64.76.37 to 243.64.76.38243.64.76.392
11243.64.76.40/30243.64.76.41 to 243.64.76.42243.64.76.432
12243.64.76.44/30243.64.76.45 to 243.64.76.46243.64.76.472
13243.64.76.48/30243.64.76.49 to 243.64.76.50243.64.76.512
14243.64.76.52/30243.64.76.53 to 243.64.76.54243.64.76.552
15243.64.76.56/30243.64.76.57 to 243.64.76.58243.64.76.592
16243.64.76.60/30243.64.76.61 to 243.64.76.62243.64.76.632
17243.64.76.64/30243.64.76.65 to 243.64.76.66243.64.76.672
18243.64.76.68/30243.64.76.69 to 243.64.76.70243.64.76.712
19243.64.76.72/30243.64.76.73 to 243.64.76.74243.64.76.752
20243.64.76.76/30243.64.76.77 to 243.64.76.78243.64.76.792
21243.64.76.80/30243.64.76.81 to 243.64.76.82243.64.76.832
22243.64.76.84/30243.64.76.85 to 243.64.76.86243.64.76.872
23243.64.76.88/30243.64.76.89 to 243.64.76.90243.64.76.912
24243.64.76.92/30243.64.76.93 to 243.64.76.94243.64.76.952
25243.64.76.96/30243.64.76.97 to 243.64.76.98243.64.76.992
26243.64.76.100/30243.64.76.101 to 243.64.76.102243.64.76.1032
27243.64.76.104/30243.64.76.105 to 243.64.76.106243.64.76.1072
28243.64.76.108/30243.64.76.109 to 243.64.76.110243.64.76.1112
29243.64.76.112/30243.64.76.113 to 243.64.76.114243.64.76.1152
30243.64.76.116/30243.64.76.117 to 243.64.76.118243.64.76.1192
31243.64.76.120/30243.64.76.121 to 243.64.76.122243.64.76.1232
32243.64.76.124/30243.64.76.125 to 243.64.76.126243.64.76.1272
33243.64.76.128/30243.64.76.129 to 243.64.76.130243.64.76.1312
34243.64.76.132/30243.64.76.133 to 243.64.76.134243.64.76.1352
35243.64.76.136/30243.64.76.137 to 243.64.76.138243.64.76.1392
36243.64.76.140/30243.64.76.141 to 243.64.76.142243.64.76.1432
37243.64.76.144/30243.64.76.145 to 243.64.76.146243.64.76.1472
38243.64.76.148/30243.64.76.149 to 243.64.76.150243.64.76.1512
39243.64.76.152/30243.64.76.153 to 243.64.76.154243.64.76.1552
40243.64.76.156/30243.64.76.157 to 243.64.76.158243.64.76.1592
41243.64.76.160/30243.64.76.161 to 243.64.76.162243.64.76.1632
42243.64.76.164/30243.64.76.165 to 243.64.76.166243.64.76.1672
43243.64.76.168/30243.64.76.169 to 243.64.76.170243.64.76.1712
44243.64.76.172/30243.64.76.173 to 243.64.76.174243.64.76.1752
45243.64.76.176/30243.64.76.177 to 243.64.76.178243.64.76.1792
46243.64.76.180/30243.64.76.181 to 243.64.76.182243.64.76.1832
47243.64.76.184/30243.64.76.185 to 243.64.76.186243.64.76.1872
48243.64.76.188/30243.64.76.189 to 243.64.76.190243.64.76.1912
49243.64.76.192/30243.64.76.193 to 243.64.76.194243.64.76.1952
50243.64.76.196/30243.64.76.197 to 243.64.76.198243.64.76.1992
51243.64.76.200/30243.64.76.201 to 243.64.76.202243.64.76.2032
52243.64.76.204/30243.64.76.205 to 243.64.76.206243.64.76.2072
53243.64.76.208/30243.64.76.209 to 243.64.76.210243.64.76.2112
54243.64.76.212/30243.64.76.213 to 243.64.76.214243.64.76.2152
55243.64.76.216/30243.64.76.217 to 243.64.76.218243.64.76.2192
56243.64.76.220/30243.64.76.221 to 243.64.76.222243.64.76.2232
57243.64.76.224/30243.64.76.225 to 243.64.76.226243.64.76.2272
58243.64.76.228/30243.64.76.229 to 243.64.76.230243.64.76.2312
59243.64.76.232/30243.64.76.233 to 243.64.76.234243.64.76.2352
60243.64.76.236/30243.64.76.237 to 243.64.76.238243.64.76.2392
61243.64.76.240/30243.64.76.241 to 243.64.76.242243.64.76.2432
62243.64.76.244/30243.64.76.245 to 243.64.76.246243.64.76.2472
63243.64.76.248/30243.64.76.249 to 243.64.76.250243.64.76.2512
64243.64.76.252/30243.64.76.253 to 243.64.76.254243.64.76.2552
65243.64.77.0/30243.64.77.1 to 243.64.77.2243.64.77.32
66243.64.77.4/30243.64.77.5 to 243.64.77.6243.64.77.72
67243.64.77.8/30243.64.77.9 to 243.64.77.10243.64.77.112
68243.64.77.12/30243.64.77.13 to 243.64.77.14243.64.77.152
69243.64.77.16/30243.64.77.17 to 243.64.77.18243.64.77.192
70243.64.77.20/30243.64.77.21 to 243.64.77.22243.64.77.232
71243.64.77.24/30243.64.77.25 to 243.64.77.26243.64.77.272
72243.64.77.28/30243.64.77.29 to 243.64.77.30243.64.77.312
73243.64.77.32/30243.64.77.33 to 243.64.77.34243.64.77.352
74243.64.77.36/30243.64.77.37 to 243.64.77.38243.64.77.392
75243.64.77.40/30243.64.77.41 to 243.64.77.42243.64.77.432
76243.64.77.44/30243.64.77.45 to 243.64.77.46243.64.77.472
77243.64.77.48/30243.64.77.49 to 243.64.77.50243.64.77.512
78243.64.77.52/30243.64.77.53 to 243.64.77.54243.64.77.552
79243.64.77.56/30243.64.77.57 to 243.64.77.58243.64.77.592
80243.64.77.60/30243.64.77.61 to 243.64.77.62243.64.77.632
81243.64.77.64/30243.64.77.65 to 243.64.77.66243.64.77.672
82243.64.77.68/30243.64.77.69 to 243.64.77.70243.64.77.712
83243.64.77.72/30243.64.77.73 to 243.64.77.74243.64.77.752
84243.64.77.76/30243.64.77.77 to 243.64.77.78243.64.77.792
85243.64.77.80/30243.64.77.81 to 243.64.77.82243.64.77.832
86243.64.77.84/30243.64.77.85 to 243.64.77.86243.64.77.872
87243.64.77.88/30243.64.77.89 to 243.64.77.90243.64.77.912
88243.64.77.92/30243.64.77.93 to 243.64.77.94243.64.77.952
89243.64.77.96/30243.64.77.97 to 243.64.77.98243.64.77.992
90243.64.77.100/30243.64.77.101 to 243.64.77.102243.64.77.1032
91243.64.77.104/30243.64.77.105 to 243.64.77.106243.64.77.1072
92243.64.77.108/30243.64.77.109 to 243.64.77.110243.64.77.1112
93243.64.77.112/30243.64.77.113 to 243.64.77.114243.64.77.1152
94243.64.77.116/30243.64.77.117 to 243.64.77.118243.64.77.1192
95243.64.77.120/30243.64.77.121 to 243.64.77.122243.64.77.1232
96243.64.77.124/30243.64.77.125 to 243.64.77.126243.64.77.1272
97243.64.77.128/30243.64.77.129 to 243.64.77.130243.64.77.1312
98243.64.77.132/30243.64.77.133 to 243.64.77.134243.64.77.1352
99243.64.77.136/30243.64.77.137 to 243.64.77.138243.64.77.1392
100243.64.77.140/30243.64.77.141 to 243.64.77.142243.64.77.1432
101243.64.77.144/30243.64.77.145 to 243.64.77.146243.64.77.1472
102243.64.77.148/30243.64.77.149 to 243.64.77.150243.64.77.1512
103243.64.77.152/30243.64.77.153 to 243.64.77.154243.64.77.1552
104243.64.77.156/30243.64.77.157 to 243.64.77.158243.64.77.1592
105243.64.77.160/30243.64.77.161 to 243.64.77.162243.64.77.1632
106243.64.77.164/30243.64.77.165 to 243.64.77.166243.64.77.1672
107243.64.77.168/30243.64.77.169 to 243.64.77.170243.64.77.1712
108243.64.77.172/30243.64.77.173 to 243.64.77.174243.64.77.1752
109243.64.77.176/30243.64.77.177 to 243.64.77.178243.64.77.1792
110243.64.77.180/30243.64.77.181 to 243.64.77.182243.64.77.1832
111243.64.77.184/30243.64.77.185 to 243.64.77.186243.64.77.1872
112243.64.77.188/30243.64.77.189 to 243.64.77.190243.64.77.1912
113243.64.77.192/30243.64.77.193 to 243.64.77.194243.64.77.1952
114243.64.77.196/30243.64.77.197 to 243.64.77.198243.64.77.1992
115243.64.77.200/30243.64.77.201 to 243.64.77.202243.64.77.2032
116243.64.77.204/30243.64.77.205 to 243.64.77.206243.64.77.2072
117243.64.77.208/30243.64.77.209 to 243.64.77.210243.64.77.2112
118243.64.77.212/30243.64.77.213 to 243.64.77.214243.64.77.2152
119243.64.77.216/30243.64.77.217 to 243.64.77.218243.64.77.2192
120243.64.77.220/30243.64.77.221 to 243.64.77.222243.64.77.2232
121243.64.77.224/30243.64.77.225 to 243.64.77.226243.64.77.2272
122243.64.77.228/30243.64.77.229 to 243.64.77.230243.64.77.2312
123243.64.77.232/30243.64.77.233 to 243.64.77.234243.64.77.2352
124243.64.77.236/30243.64.77.237 to 243.64.77.238243.64.77.2392
125243.64.77.240/30243.64.77.241 to 243.64.77.242243.64.77.2432
126243.64.77.244/30243.64.77.245 to 243.64.77.246243.64.77.2472
127243.64.77.248/30243.64.77.249 to 243.64.77.250243.64.77.2512
128243.64.77.252/30243.64.77.253 to 243.64.77.254243.64.77.2552
129243.64.78.0/30243.64.78.1 to 243.64.78.2243.64.78.32
130243.64.78.4/30243.64.78.5 to 243.64.78.6243.64.78.72
131243.64.78.8/30243.64.78.9 to 243.64.78.10243.64.78.112
132243.64.78.12/30243.64.78.13 to 243.64.78.14243.64.78.152
133243.64.78.16/30243.64.78.17 to 243.64.78.18243.64.78.192
134243.64.78.20/30243.64.78.21 to 243.64.78.22243.64.78.232
135243.64.78.24/30243.64.78.25 to 243.64.78.26243.64.78.272
136243.64.78.28/30243.64.78.29 to 243.64.78.30243.64.78.312
137243.64.78.32/30243.64.78.33 to 243.64.78.34243.64.78.352
138243.64.78.36/30243.64.78.37 to 243.64.78.38243.64.78.392
139243.64.78.40/30243.64.78.41 to 243.64.78.42243.64.78.432
140243.64.78.44/30243.64.78.45 to 243.64.78.46243.64.78.472
141243.64.78.48/30243.64.78.49 to 243.64.78.50243.64.78.512
142243.64.78.52/30243.64.78.53 to 243.64.78.54243.64.78.552
143243.64.78.56/30243.64.78.57 to 243.64.78.58243.64.78.592
144243.64.78.60/30243.64.78.61 to 243.64.78.62243.64.78.632
145243.64.78.64/30243.64.78.65 to 243.64.78.66243.64.78.672
146243.64.78.68/30243.64.78.69 to 243.64.78.70243.64.78.712
147243.64.78.72/30243.64.78.73 to 243.64.78.74243.64.78.752
148243.64.78.76/30243.64.78.77 to 243.64.78.78243.64.78.792
149243.64.78.80/30243.64.78.81 to 243.64.78.82243.64.78.832
150243.64.78.84/30243.64.78.85 to 243.64.78.86243.64.78.872
151243.64.78.88/30243.64.78.89 to 243.64.78.90243.64.78.912
152243.64.78.92/30243.64.78.93 to 243.64.78.94243.64.78.952
153243.64.78.96/30243.64.78.97 to 243.64.78.98243.64.78.992
154243.64.78.100/30243.64.78.101 to 243.64.78.102243.64.78.1032
155243.64.78.104/30243.64.78.105 to 243.64.78.106243.64.78.1072
156243.64.78.108/30243.64.78.109 to 243.64.78.110243.64.78.1112
157243.64.78.112/30243.64.78.113 to 243.64.78.114243.64.78.1152
158243.64.78.116/30243.64.78.117 to 243.64.78.118243.64.78.1192
159243.64.78.120/30243.64.78.121 to 243.64.78.122243.64.78.1232
160243.64.78.124/30243.64.78.125 to 243.64.78.126243.64.78.1272
161243.64.78.128/30243.64.78.129 to 243.64.78.130243.64.78.1312
162243.64.78.132/30243.64.78.133 to 243.64.78.134243.64.78.1352
163243.64.78.136/30243.64.78.137 to 243.64.78.138243.64.78.1392
164243.64.78.140/30243.64.78.141 to 243.64.78.142243.64.78.1432
165243.64.78.144/30243.64.78.145 to 243.64.78.146243.64.78.1472
166243.64.78.148/30243.64.78.149 to 243.64.78.150243.64.78.1512
167243.64.78.152/30243.64.78.153 to 243.64.78.154243.64.78.1552
168243.64.78.156/30243.64.78.157 to 243.64.78.158243.64.78.1592
169243.64.78.160/30243.64.78.161 to 243.64.78.162243.64.78.1632
170243.64.78.164/30243.64.78.165 to 243.64.78.166243.64.78.1672
171243.64.78.168/30243.64.78.169 to 243.64.78.170243.64.78.1712
172243.64.78.172/30243.64.78.173 to 243.64.78.174243.64.78.1752
173243.64.78.176/30243.64.78.177 to 243.64.78.178243.64.78.1792
174243.64.78.180/30243.64.78.181 to 243.64.78.182243.64.78.1832
175243.64.78.184/30243.64.78.185 to 243.64.78.186243.64.78.1872
176243.64.78.188/30243.64.78.189 to 243.64.78.190243.64.78.1912
177243.64.78.192/30243.64.78.193 to 243.64.78.194243.64.78.1952
178243.64.78.196/30243.64.78.197 to 243.64.78.198243.64.78.1992
179243.64.78.200/30243.64.78.201 to 243.64.78.202243.64.78.2032
180243.64.78.204/30243.64.78.205 to 243.64.78.206243.64.78.2072
181243.64.78.208/30243.64.78.209 to 243.64.78.210243.64.78.2112
182243.64.78.212/30243.64.78.213 to 243.64.78.214243.64.78.2152
183243.64.78.216/30243.64.78.217 to 243.64.78.218243.64.78.2192
184243.64.78.220/30243.64.78.221 to 243.64.78.222243.64.78.2232
185243.64.78.224/30243.64.78.225 to 243.64.78.226243.64.78.2272
186243.64.78.228/30243.64.78.229 to 243.64.78.230243.64.78.2312
187243.64.78.232/30243.64.78.233 to 243.64.78.234243.64.78.2352
188243.64.78.236/30243.64.78.237 to 243.64.78.238243.64.78.2392
189243.64.78.240/30243.64.78.241 to 243.64.78.242243.64.78.2432
190243.64.78.244/30243.64.78.245 to 243.64.78.246243.64.78.2472
191243.64.78.248/30243.64.78.249 to 243.64.78.250243.64.78.2512
192243.64.78.252/30243.64.78.253 to 243.64.78.254243.64.78.2552
193243.64.79.0/30243.64.79.1 to 243.64.79.2243.64.79.32
194243.64.79.4/30243.64.79.5 to 243.64.79.6243.64.79.72
195243.64.79.8/30243.64.79.9 to 243.64.79.10243.64.79.112
196243.64.79.12/30243.64.79.13 to 243.64.79.14243.64.79.152
197243.64.79.16/30243.64.79.17 to 243.64.79.18243.64.79.192
198243.64.79.20/30243.64.79.21 to 243.64.79.22243.64.79.232
199243.64.79.24/30243.64.79.25 to 243.64.79.26243.64.79.272
200243.64.79.28/30243.64.79.29 to 243.64.79.30243.64.79.312
201243.64.79.32/30243.64.79.33 to 243.64.79.34243.64.79.352
202243.64.79.36/30243.64.79.37 to 243.64.79.38243.64.79.392
203243.64.79.40/30243.64.79.41 to 243.64.79.42243.64.79.432
204243.64.79.44/30243.64.79.45 to 243.64.79.46243.64.79.472
205243.64.79.48/30243.64.79.49 to 243.64.79.50243.64.79.512
206243.64.79.52/30243.64.79.53 to 243.64.79.54243.64.79.552
207243.64.79.56/30243.64.79.57 to 243.64.79.58243.64.79.592
208243.64.79.60/30243.64.79.61 to 243.64.79.62243.64.79.632
209243.64.79.64/30243.64.79.65 to 243.64.79.66243.64.79.672
210243.64.79.68/30243.64.79.69 to 243.64.79.70243.64.79.712
211243.64.79.72/30243.64.79.73 to 243.64.79.74243.64.79.752
212243.64.79.76/30243.64.79.77 to 243.64.79.78243.64.79.792
213243.64.79.80/30243.64.79.81 to 243.64.79.82243.64.79.832
214243.64.79.84/30243.64.79.85 to 243.64.79.86243.64.79.872
215243.64.79.88/30243.64.79.89 to 243.64.79.90243.64.79.912
216243.64.79.92/30243.64.79.93 to 243.64.79.94243.64.79.952
217243.64.79.96/30243.64.79.97 to 243.64.79.98243.64.79.992
218243.64.79.100/30243.64.79.101 to 243.64.79.102243.64.79.1032
219243.64.79.104/30243.64.79.105 to 243.64.79.106243.64.79.1072
220243.64.79.108/30243.64.79.109 to 243.64.79.110243.64.79.1112
221243.64.79.112/30243.64.79.113 to 243.64.79.114243.64.79.1152
222243.64.79.116/30243.64.79.117 to 243.64.79.118243.64.79.1192
223243.64.79.120/30243.64.79.121 to 243.64.79.122243.64.79.1232
224243.64.79.124/30243.64.79.125 to 243.64.79.126243.64.79.1272
225243.64.79.128/30243.64.79.129 to 243.64.79.130243.64.79.1312
226243.64.79.132/30243.64.79.133 to 243.64.79.134243.64.79.1352
227243.64.79.136/30243.64.79.137 to 243.64.79.138243.64.79.1392
228243.64.79.140/30243.64.79.141 to 243.64.79.142243.64.79.1432
229243.64.79.144/30243.64.79.145 to 243.64.79.146243.64.79.1472
230243.64.79.148/30243.64.79.149 to 243.64.79.150243.64.79.1512
231243.64.79.152/30243.64.79.153 to 243.64.79.154243.64.79.1552
232243.64.79.156/30243.64.79.157 to 243.64.79.158243.64.79.1592
233243.64.79.160/30243.64.79.161 to 243.64.79.162243.64.79.1632
234243.64.79.164/30243.64.79.165 to 243.64.79.166243.64.79.1672
235243.64.79.168/30243.64.79.169 to 243.64.79.170243.64.79.1712
236243.64.79.172/30243.64.79.173 to 243.64.79.174243.64.79.1752
237243.64.79.176/30243.64.79.177 to 243.64.79.178243.64.79.1792
238243.64.79.180/30243.64.79.181 to 243.64.79.182243.64.79.1832
239243.64.79.184/30243.64.79.185 to 243.64.79.186243.64.79.1872
240243.64.79.188/30243.64.79.189 to 243.64.79.190243.64.79.1912
241243.64.79.192/30243.64.79.193 to 243.64.79.194243.64.79.1952
242243.64.79.196/30243.64.79.197 to 243.64.79.198243.64.79.1992
243243.64.79.200/30243.64.79.201 to 243.64.79.202243.64.79.2032
244243.64.79.204/30243.64.79.205 to 243.64.79.206243.64.79.2072
245243.64.79.208/30243.64.79.209 to 243.64.79.210243.64.79.2112
246243.64.79.212/30243.64.79.213 to 243.64.79.214243.64.79.2152
247243.64.79.216/30243.64.79.217 to 243.64.79.218243.64.79.2192
248243.64.79.220/30243.64.79.221 to 243.64.79.222243.64.79.2232
249243.64.79.224/30243.64.79.225 to 243.64.79.226243.64.79.2272
250243.64.79.228/30243.64.79.229 to 243.64.79.230243.64.79.2312
251243.64.79.232/30243.64.79.233 to 243.64.79.234243.64.79.2352
252243.64.79.236/30243.64.79.237 to 243.64.79.238243.64.79.2392
253243.64.79.240/30243.64.79.241 to 243.64.79.242243.64.79.2432
254243.64.79.244/30243.64.79.245 to 243.64.79.246243.64.79.2472
255243.64.79.248/30243.64.79.249 to 243.64.79.250243.64.79.2512
256243.64.79.252/30243.64.79.253 to 243.64.79.254243.64.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses